Task Scheduler Topnode

Task Scheduler

You can use Task Scheduler to schedule commands, programs, or scripts to run at specified times:

  • Before using Task Scheduler, see Checklist.
  • For help with specific tasks, see How To.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Task Scheduler Checklist

Checklist

The following table list the actions you perform most often with Task Scheduler. For a complete list of Task Scheduler instructions, see How To.

Step | Reference
Before you can schedule a task to run, you must add the task. | Schedule a new task
Once scheduled tasks are created, you can modify the program, the schedule, or the specifics of a particular task. | Modify a scheduled task
For scheduled tasks that are no longer needed, you can remove them entirely. | Remove a scheduled task
In the event that a scheduled task starts while you are using your computer, you can stop the task and then restart it again later. | Stop a scheduled task that is running
You can temporarily stop or pause all scheduled tasks from running and then unpause them at a later time. | Temporarily stop all scheduled tasks


How To...

  • Schedule tasks
  • Manage Task Scheduler


Schedule tasks
  • Start Task Scheduler
  • Schedule a new task
  • Modify a scheduled task
  • Remove a scheduled task
  • Stop a scheduled task that is running
  • Run a task immediately


Start Task Scheduler

To start Task Scheduler

  • You can start Task Scheduler by double-clicking My Computer, and then double-clicking Scheduled Tasks.
  • Double-click Scheduled Tasks, and then double-click Add Scheduled Task to open the Scheduled Task wizard, which walks you through scheduling a task.


Schedule a New Task

To schedule a new task
  1. Start Task Scheduler.
  2. Double-click Add Scheduled Task.
  3. Follow the instructions in the Add Scheduled Task wizard.

Notes

  • If you want to configure advanced settings for the task, select the Open advanced properties for this task when I click Finish check box in the final screen of the wizard.
  • To have a new task run repeatedly each time it runs, select the Open advanced properties for this task when I click Finish check box in the final screen of the wizard, then click the Schedule tab and click Advanced.
  • If the task program requires parameters, select the Open advanced properties for this task when I click Finish check box in the final screen of the wizard, then click the Task tab and type them in Run, after the task path.
  • Make sure that the system date and time for your computer are accurate. Task Scheduler relies on this information to know when to run scheduled tasks. To check or change the date and time, double-click the time on the taskbar.


Modify a Scheduled Task

To modify a scheduled task
  1. Start Task Scheduler.
  2. Right-click the task you want to modify, and then click Properties.
  3. Do one or more of the following:
    • To change the program being run, in Run, type the path for the new program.
    • To change the schedule for the task, click the Schedule tab.
    • To customize the settings for the task, click the Settings tab.

Notes

  • If you change the user account or the program that is being run, you must supply the password for the user account.
  • If the task program requires command-line options, type them in Run, after the task path.
  • If the path to the task program includes spaces, put double quotation marks ("") around the entire task path.
  • Make sure that the system date and time for your computer are accurate, as Task Scheduler relies on this information to run scheduled tasks. To verify or change this information, double-click the time indicator on the taskbar.


Remove a Scheduled Task

To remove a scheduled task
  1. Start Task Scheduler.
  2. Right-click the task that you want to remove, and then click Delete.

Notes

  • Removing a scheduled task only removes the schedule from the list of schedules. The program file is not removed from the hard disk.
  • You can also remove a scheduled task by pressing the DELETE key.


Stop a Scheduled Task That Is Running

To stop a scheduled task that is running
  1. Start Task Scheduler.
  2. Right-click the task that you want to stop, and then click End Task.

Notes

  • If a scheduled task starts another program, this command stops only the original scheduled task, not the second task.
  • To restart a stopped task, right-click the task, and then click Run.


Run a Task Immediately

To run a task immediately
  1. Start Task Scheduler.
  2. Right-click the task that you want to start, and then click Run.

Notes

  • You can stop the task by clicking End Task on the File menu.
  • If a task should have run but did not, on the Advanced menu, click View Log to examine the task log.


Manage Task Scheduler
  • View a log of past scheduled tasks
  • View scheduled tasks on remote computers
  • Temporarily stop all scheduled tasks
  • Pause Task Scheduler
  • Set the At service account


View a Log of Past Scheduled Tasks

To view a log of past scheduled tasks
  1. Start Task Scheduler.
  2. On the Advanced menu, click View Log.


Viewing Scheduled Tasks on Remote Computers

To view scheduled tasks on remote computers
  1. On the Desktop, double-click My Network Neighborhood.
  2. Double-click the computer on which you want to view scheduled tasks.
  3. Click Scheduled Tasks.

Notes

  • You can view tasks on a remote computer that is running Windows only if you are an administrator on that remote computer.
  • You can edit tasks on a remote computer running Windows only if that remote computer has remote registry software installed and shares the x$ share, where x is the hard disk on which the Scheduled Tasks folder resides. The computer running Windows must also specifically list your user account as having remote registry access. You can specify which users have remote registry access to a computer running Windows by clicking Passwords in Control Panel.


Temporarily Stop All Scheduled Tasks

To temporarily stop all scheduled tasks
  1. Start Task Scheduler.

  2. On the Advanced menu, click Pause Task Scheduler.

Notes

  • This command is useful if you are running another program (such as a game) or installing software, and you do not want scheduled tasks to run at the same time.
  • Tasks that would have run while Task Scheduler is paused are not run until their next scheduled time.
  • To resume the schedules for all tasks, on the Advanced menu, click Continue Task Scheduler.


Pause Task Scheduler

To pause Task Scheduler
  1. Start Task Scheduler.
  2. On the Advanced menu, click Stop Using Task Scheduler.

Note

  • When you turn off Task Scheduler, your scheduled tasks do not run and Task Scheduler does not start automatically the next time you start Windows.


Set the AT Service Account

To set the At service account
  1. Start Task Scheduler.
  2. On the Advanced menu, click At Service Account.
  3. Click This Account, and then type the user account that will run tasks that are scheduled by using the at command.
  4. In Password and Confirm Password, type the correct password for the account.

Notes

  • The AT service is available only on Windows NT.
  • Optionally, you can click System Account. If you do this, Task Scheduler runs the at command tasks by using the LocalSystem account, which requires administrative rights.

  • The user account you specify must have the appropriate permissions to run any tasks that you schedule by using the at command. For example, if you schedule programs that can be run only by administrators, the user account you specify must be an administrator account.


Task Scheduler Concepts

Concepts

This section provides general background information about Task Scheduler:

  • Introduction to Task Scheduler
  • Using Task Scheduler
  • Task Scheduler and the At command
  • Task Scheduler and Security
  • Troubleshooting


Introduction to Task Scheduler

By using Task Scheduler, you can schedule tasks (such as Disk Defragmenter) to run at a time that is most convenient for you. Task Scheduler starts each time you start Windows, and runs in the background.

With Task Scheduler, you can:

  • Schedule a task to run daily, weekly, monthly, or at certain times (such as system startup).
  • Change the schedule for a task.
  • Stop a scheduled task.
  • Customize how a task runs at a scheduled time.


Using Task Scheduler

The Windows operating system automatically installs Task Scheduler. To use the scheduling service, double-click the Scheduled Tasks folder in My Computer.

You can add tasks by double-clicking Add Scheduled Task, which starts the Scheduled Task wizard. You can add tasks by dragging scripts, programs, or documents from Windows Explorer or the desktop to the Scheduled Tasks window.

You can also use Task Scheduler to modify, delete, pause, or stop the tasks that you have scheduled, to view a log of past scheduled tasks, or to view tasks that are scheduled on a remote computer.

For detailed instructions about using Task Scheduler, see How To.

Best practices for Task Scheduler

In the Windows operating system, you can use Task Scheduler to schedule any application to run. To take best advantage of Task Scheduler, make sure that the system date and time for your computer are accurate before you add a task.


Use Task Scheduler and the at Command

Task Scheduler and the At command

In addition to using Task Scheduler, you can also use the at command to run tasks automatically.

Task Scheduler is not the same as the at command, but the two work together. When you schedule a task by using the at command, it appears in the list of tasks in the Task Scheduler window.

You can use Task Scheduler to modify the properties of a task that was scheduled by using the at command. However, if you do, you must continue to use Task Scheduler to access the task. You can no longer access it by using the at command.

To specify the user account that will run tasks scheduled with the at command, in My Computer, click Scheduled Tasks, and on the Advanced menu, click AT Service Account.

Note

  • The AT service is available only on Windows NT.


Task Scheduler Security

Task Scheduler and Security

In Task Scheduler, you can set up security by assigning a user name and password to a particular task. Once a user name and password are set, the task cannot be canceled or deleted by another user.

Notes

  • This security feature is available only on Windows NT.
  • You must enter a user name in the Scheduled Task wizard before you can continue scheduling a task. Passwords are not required.
  • You can change or set a new password by selecting the Open advanced properties for this task when I click Finish check box in the final screen of the wizard.


Troubleshooting Task Scheduler

If a task you schedule does not run when you expect it to, right-click the task, and then click Properties. On the Task tab, verify that the Enabled check box is selected. On the Schedule tab, verify that the schedule is set correctly.

If a task program does not run correctly, you may need to add command-line options. To find out more about a particular program and its command-line options, try one of the following:

  • If available, view the online Help for the program.

  • At a command prompt, type the following: (where program is the name of the program)

    • program /?


Windows NT component not installed

This program could not start.

Possible reasons are:

    • It was removed by a system administrator.
    • The system administrator changed the policy associated with the file.
    • The program is not installed on your computer.
    • It was accidently deleted.
    • The file is corrupt.

If a system administrator controls your machine, you should contact the administrator to find out why you cannot start the program.